Plugin stopped working after updating cPanel to 62.0.7

When trying to open the plugin:

Internal Server Error

500

No response from subprocess (/usr/local/cpanel/whostmgr/docroot/cgi/addon_cwaf.cgi): The subprocess reported error number 2 when it ended.

From the cPanel error log (/usr/local/cpanel/logs/error_log)

Can't locate whmlib.pm in @INC (you may need to install the whmlib module) (@INC contains: /usr/local/cpanel /usr/local/cpanel/whostmgr/docroot/cgi /usr/local/cpanel/3rdparty/perl/524/lib64/perl5/cpanel_lib/x86_64-linux-64int /usr/local/cpanel/3rdparty/perl/524/lib64/perl5/cpanel_lib /usr/local/cpanel/3rdparty/perl/524/lib64/perl5/5.24.1/x86_64-linux-64int /usr/local/cpanel/3rdparty/perl/524/lib64/perl5/5.24.1 /opt/cpanel/perl5/524/site_lib/x86_64-linux-64int /opt/cpanel/perl5/524/site_lib) at /usr/local/cpanel/whostmgr/docroot/cgi/addon_cwaf.cgi line 9. BEGIN failed--compilation aborted at /usr/local/cpanel/whostmgr/docroot/cgi/addon_cwaf.cgi line 9. [2017-01-31 22:25:42 -0500] info [whostmgrd] Internal Server Error: "GET /cpsess0137497332/cgi/addon_cwaf.cgi HTTP/1.1" 500 No response from subprocess (/usr/local/cpanel/whostmgr/docroot/cgi/addon_cwaf.cgi): The subprocess reported error number 2 when it ended.

Tried reinstalling, completely uninstalling/reinstalling, reinstalling client and still the same.

Just saw this in another thread and ran it and that seems to have fixed it:

/var/cpanel/cwaf/scripts/update-client.pl

whmlib.pm is removed in cPanel 62.x.x. So, we stopped using it in our plugin since v.2.20

Yes, updating of CWAF client will solve this issue.